Updates role mappings
- PUT /organizations/{organization_id}/role_mappings
Updates the role assignments applicable when logging via SSO. Currently unavailable in self-hosted ECE.
Request body
The role mappings to update
Responses
An empty response
Response Type: object
- Invalid rule. (code:
org.role_mapping_rule.ambiguous_rule) - Empty rule. (code:
org.role_mapping_rule.empty_rule) - Validation error. (code:
org.role_mapping_rule.syntax_error) - Validation error. (code:
org.role_mapping_rule.email_syntax_error) - Validation error. (code:
org.role_mapping_rule.too_many_role_mappings)
Organization not found. (code: organization.not_found)